Bug 681260 (CVE-2011-1079) - CVE-2011-1079 kernel: bnep device field missing NULL terminator
Summary: CVE-2011-1079 kernel: bnep device field missing NULL terminator
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1079
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110214,reported=20110228,sou...
Depends On: 681315 681316 681317 681318 681319 681320
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-01 15:30 UTC by Petr Matousek
Modified: 2019-06-08 18:45 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 08:58:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0498 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-05-10 18:10:04 UTC
Red Hat Product Errata RHSA-2011:0500 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-05-10 17:18:23 UTC
Red Hat Product Errata RHSA-2011:0833 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-05-31 14:05:42 UTC

Description Petr Matousek 2011-03-01 15:30:28 UTC
Description of problem:
Struct ca is copied from userspace.  It is not checked whether the "device"
field is NULL terminated.  This potentially leads to BUG() inside of
alloc_netdev_mqs() and/or information leak by creating a device with a name
made of contents of kernel stack.

References:
http://seclists.org/oss-sec/2011/q1/309
https://lkml.org/lkml/2011/2/14/50

Acknowledgements:
                  
Red Hat would like to thank Vasiliy Kulikov of Openwall for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2011-04-11 04:03:31 UTC
Upstream commit:
http://git.kernel.org/linus/43629f8f5ea32a998d06d1bb41eefa0e821ff573

Comment 4 errata-xmlrpc 2011-05-10 17:20:41 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0500 https://rhn.redhat.com/errata/RHSA-2011-0500.html

Comment 5 errata-xmlrpc 2011-05-10 18:11:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0498 https://rhn.redhat.com/errata/RHSA-2011-0498.html

Comment 7 errata-xmlrpc 2011-05-31 14:06:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0833 https://rhn.redhat.com/errata/RHSA-2011-0833.html


Note You need to log in before you can comment on or make changes to this bug.